---
packages:
  stage: packages-deploy
  script:
    - "mvn deploy -s modules/fibonacci-service/ci-settings.xml
      -f modules/fibonacci-service/pom.xml"
    - "docker login
      -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
      registry.gitlab.com"
    - "docker build -f modules/fibonacci-service/Dockerfile
      -t
      registry.gitlab.com/gitlab-dojo/gitlab-core-oss/monorepo-devops-template/\
      fibonacci-service:latest
      modules/fibonacci-service/"
    - "docker push
      registry.gitlab.com/gitlab-dojo/gitlab-core-oss/monorepo-devops-template/\
      fibonacci-service:latest"
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'
      when: on_success
      changes:
        - modules/fibonacci-service/**/*
